#ifndef CKCoreAppleMusicPlayer_h
#define CKCoreAppleMusicPlayer_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

#import <MediaPlayer/MediaPlayer.h>

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreAppleMusicPlayer: NSObject

@property (nonatomic, readonly) MPMusicPlaybackState playbackState;
@property (nonatomic) Boolean                        playRandom;
//@property (nonatomic) CGFloat                        playVolume;

- (void) play;
- (void) pause;
- (void) stop;
- (void) addPlaylistToPlayer:(MPMediaItemCollection *) withCollection autoPlay:(Boolean) autoPlay;
- (void) cleanUp;

@end

#endif

