#ifndef CKCoreFadeInOutLabel_h
#define CKCoreFadeInOutLabel_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreFadeInOutLabel: NSLabel

@property (nonatomic) CGFloat            delayBeforeFadeIn;
@property (nonatomic) CGFloat            delayFadeIn;
@property (nonatomic) CGFloat            delayBeforeFadeOut;
@property (nonatomic) CGFloat            delayFadeOut;
@property (nonatomic) CGFloat            delayBeforeLooping;

- (void) cleanUp;
- (void) startAnimating;
- (void) stopAnimating;

@end

#endif

