#ifndef CKCoreHorizontalLabelScroll_h
#define CKCoreHorizontalLabelScroll_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreHorizontalLabelScroll : UIView

@property (nonatomic) UILabel  *label;
@property (nonatomic) CGFloat   animationDuration;
@property (nonatomic) CGFloat   fadeLength;
@property (nonatomic) NSString *text;

@end

#endif

