#ifndef CKCoreNSValue_h
#define CKCoreNSValue_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSValue

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSValue (Values)

+ (NSValue *) fromPoint:(CGFloat) a b:(CGFloat) b;

#if TARGET_OS_OSX
- (CGPoint) CGPointValue;
- (CGSize)  CGSizeValue;
- (CGRect)  CGRectValue;
#endif

@end

#endif

