#ifndef CKCoreSceneIntroVideo_h
#define CKCoreSceneIntroVideo_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #import <CodKits_macOS/CodKits_macOS.h>
#else
  #import <CodKits_iOS/CodKits_iOS.h>
#endif

#import <AVFoundation/AVFoundation.h>

//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreSceneIntroVideo: NSView

@property (nonatomic) id                          delegate;
@property (nonatomic) SEL                         onVideoPlayEnded;
@property (nonatomic) NSURL                      *videoURL;
@property (nonatomic) Boolean                     videoPlaying;
@property (nonatomic) AVPlayerItemStatus          videoStatus;
@property (nonatomic) CGFloat                     videoVolume;
@property (nonatomic) Boolean                     allowTouchToEnd;

- (void)    videoPlay;
- (void)    videoPause;
- (void)    cleanUp;
- (void)    seekToTime:(NSTimeInterval) atTime;
- (void)    layoutVideo;

@end

#endif

