#ifndef CKCoreFinder_h
#define CKCoreFinder_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreFinder : NSObject

+ (void) openWebAtUrl:(NSURL *) atUrl;
+ (void) openWebAtLocation:(NSString *) atLocation;

@end


#endif

