#ifndef CKCoreNSObject_h
#define CKCoreNSObject_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSObject

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSObject (Perform)

- (void) performSelector:(SEL) aSelector afterDelay:(NSTimeInterval) delay;
- (void) performBlock:(void (^)(void)) block afterDelay:(NSTimeInterval) delay;

@end

#endif

