/*
 Disclaimer: IMPORTANT:  This CodKits software is supplied to you by
 CodKits Inc. ("CodKits") in consideration of your agreement to the
 following terms, and your use, installation, modification or
 redistribution of this CodKits software constitutes acceptance of these
 terms.  If you do not agree with these terms, please do not use,
 install, modify or redistribute this CodKits software.
 
 In consideration of your agreement to abide by the following terms, and
 subject to these terms, CodKits grants you a personal, non-exclusive
 license, under CodKits's copyrights in this original CodKits software (the
 "CodKits Software"), to use, reproduce, modify and redistribute the CodKits
 Software, with or without modifications, in source and/or binary forms;
 provided that if you redistribute the CodKits Software in its entirety and
 without modifications, you must retain this notice and the following
 text and disclaimers in all such redistributions of the CodKits Software.
 Neither the name, trademarks, service marks or logos of CodKits Inc.
 may be used to endorse or promote products derived from the CodKits
 Software without specific prior written permission from CodKits.  Except
 as expressly stated in this notice, no other rights or licenses, express
 or implied, are granted by CodKits herein, including but not limited to
 any patent rights that may be infringed by your derivative works or by
 other works in which the CodKits Software may be incorporated.
 
 The CodKits Software is provided by CodKits on an "AS IS" basis. CODKITS
 MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS
 FOR A PARTICULAR PURPOSE, REGARDING THE CODKITS SOFTWARE OR ITS USE AND
 OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.
 
 IN NO EVENT SHALL CODKITS BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL
 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION,
 MODIFICATION AND/OR DISTRIBUTION OF THE CodKits SOFTWARE, HOWEVER CAUSED
 AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE),
 STRICT LIABILITY OR OTHERWISE, EVEN IF CODKITS HAS BEEN ADVISED OF THE
 POSSIBILITY OF SUCH DAMAGE.
 
 Copyright (C) 2024 CodKits Inc. All Rights Reserved.
 */

#import <Foundation/Foundation.h>

FOUNDATION_EXPORT double              CodKitsVersionNumber;
FOUNDATION_EXPORT const unsigned char CodKitsVersionString[];

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif
