#ifndef CKCoreAudioSpectrumView_h
#define CKCoreAudioSpectrumView_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreAudioSpectrumView: NSView

- (instancetype) initWithFrame:(CGRect) frame withAudioFile:(CKCoreAudioFile *) withAudioFile;
- (void)         cleanUp;

@end

#endif

