#ifndef CKCoreExecutionTime_h
#define CKCoreExecutionTime_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreExecutionTime: NSObject

+ (NSTimeInterval) delayForProcessingBlock:(void (^)(void)) processBlock;

@end

#endif
