#ifndef CKCoreHaptic_h
#define CKCoreHaptic_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreHapticFeedback: NSObject

+ (CKCoreHapticFeedback *)                sharedInstance;

- (void) impactOccurred;

@end

//----------------------------------------------------------------------------------------------------
@interface CKCoreHapticSelect: NSObject

+ (CKCoreHapticSelect *)                  sharedInstance;

- (void) impactOccurred;

@end

#endif 
