#ifndef CKCoreVerticalLabelScroll_h
#define CKCoreVerticalLabelScroll_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreVerticalLabelScroll : UIView 

@property (nonatomic) UILabel            *label;
@property (nonatomic) CGFloat             animationDuration;
@property (nonatomic) CGFloat             fadeLength;
@property (nonatomic) NSString           *text;
@property (nonatomic) NSAttributedString *attributedText;

@end

#endif

