#ifndef CKCoreVideoShowView_h
#define CKCoreVideoShowView_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

NS_ASSUME_NONNULL_BEGIN

//----------------------------------------------------------------------------------------------------
@interface CKCoreVideoShowView: NSView

@property (nonatomic) Boolean                     videoPlaying;
@property (nonatomic) AVPlayerItemStatus          videoStatus;
@property (nonatomic) NSArray <NSURL *>          *videoUrls;
@property (nonatomic) CGFloat                     videoVolume;

- (void)    videoPlay;
- (void)    videoPause;
- (void)    cleanUp;

@end

NS_ASSUME_NONNULL_END

#endif

