#ifndef CKCoreCALayer_h
#define CKCoreCALayer_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreCALayer

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CALayer (Frame)

@property (nonatomic) CGPoint center;
@property (nonatomic) CGSize  size;
@property (nonatomic) CGFloat x;
@property (nonatomic) CGFloat y;
@property (nonatomic) CGFloat width;
@property (nonatomic) CGFloat height;

+ (void) setLayersFrame:(NSArray *) withLayers withFrame:(CGRect) withFrame;

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CALayer (Animation)

- (void) noAnimations;

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CALayer (Aspect)

@property (nonatomic) Boolean visible;

+ (void) setLayersVisible:(NSArray *) withLayers isVisible:(Boolean) isVisible;

@end

#endif

