#ifndef CKCoreColorScheme_h
#define CKCoreColorScheme_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #import <CodKits_macOS/CodKits_macOS.h>
#else
  #import <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// clsColorScheme
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreColorScheme: NSObject

@property (nonatomic) NSArray <NSString *>                      *baseScheme;

- (void)      cleanUp;
- (NSColor *) color:(NSInteger) colorIndex;
- (NSColor *) color:(NSInteger) colorIndex withShadePercent:(CGFloat) withShadePercent;
- (NSColor *) color:(NSInteger) colorIndex withShadePercent:(CGFloat) withShadePercent withAlpha:(CGFloat) withAlpha;

@end

#endif

