#ifndef CKCoreDotMatrixLabel_h
#define CKCoreDotMatrixLabel_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

@class CKCoreDotMatrixLabelFontMapping;

IB_DESIGNABLE

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreDotMatrixLabel : UIView

@property (nonatomic) IBInspectable NSUInteger         horizontalDotCount;
@property (nonatomic) IBInspectable NSUInteger         verticalDotCount;
@property (nonatomic) CKCoreDotMatrixLabelFontMapping *fontMapping;
@property (nonatomic) IBInspectable NSString          *text;
@property (nonatomic) IBInspectable BOOL               animated;

@end

#endif

