#ifndef CKCoreNSBundle_h
#define CKCoreNSBundle_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSBundle (Localization)

- (NSString *) localizedString:(NSString *) withKey withDefault:(NSString *) withDefault;
- (NSString *) localizedString:(NSString *) withKey;

@end

#endif

