#ifndef CKCoreNSViewController_h
#define CKCoreNSViewController_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

typedef NS_ENUM(NSUInteger, CKCoreVCBubbleTransitionMode)
  {
  CKCoreVCBubbleTransitionModePresent,
  CKCoreVCBubbleTransitionModeDismiss,
  };

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSViewController

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreVCBubbleTransition : NSObject <UIViewControllerAnimatedTransitioning>

@property (nonatomic, assign) CGPoint                      startPoint;
@property (nonatomic, assign) CGFloat                      duration;
@property (nonatomic, assign) CKCoreVCBubbleTransitionMode transitionMode;
@property (nonatomic, strong) UIColor                     *bubbleColor;

@end

#endif

