#ifndef CKCoreQRCodeCapture_h
#define CKCoreQRCodeCapture_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//----------------------------------------------------------------------------------------------------------------
// INTERFACE
//----------------------------------------------------------------------------------------------------------------
@interface CKCoreQRCodeCapture : NSView

@property (nonatomic) id               delegate;
@property (nonatomic) SEL              onQRCodeScanned;
@property (nonatomic) Boolean          isCaptured;
@property (nonatomic) CGFloat          cornerRadius;

- (void)    cleanUp;
- (Boolean) startReading;
- (void)    stopReading;

@end

#endif


