#ifndef CKCoreSensors_h
#define CKCoreSensors_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #import <CodKits_macOS/CodKits_macOS.h>
#else
  #import <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreSensors: NSObject

+ (void)                              isVideoCameraAllowed:(void (^)(Boolean isSuccess)) completionBlock;
+ (void)                              isMicrophoneAllowed:(void (^)(Boolean isSuccess)) completionBlock;
+ (void)                              isAppleMusicLibraryAllowed:(void (^)(Boolean isSuccess)) completionBlock;
+ (void)                              isMediaLibraryAllowed:(void (^)(Boolean isSuccess)) completionBlock;
+ (void)                              isPushNotificationsAllowed:(void (^)(Boolean isSuccess)) completionBlock;
+ (void)                              isLocationAllowed:(void (^)(Boolean isSuccess)) completionBlock;
+ (SKCloudServiceAuthorizationStatus) appleMusicLibraryAuthorization;

@end

#endif


